function [digit_compParams, digit_ll] = fitAllDigits(digits, labels, ...
						  varargin)
  % digit_compParams is a cell array of mixture-model parameters, one
  % set of parameters for each digit.
  % Additional arguments are passed to EM (e.g. number of components). 
  digit_compParams = cell(1,10);
  digit_ll = cell(1,10);
  for i=1:10
    [digit_compParams{i}, digit_ll{i}] = EM(digits(labels==rem(i,10),:), ...
					    varargin{:});
  end
  