function compParams = initRandPoints(k, X, sigmasq)
  
  d = size(X,2) ;
  if nargin<3
    sigmasq = det(cov(X))^(1/d) ;
  end
  Sigma = sigmasq*eye(d) ;
  
  rp = randperm(size(X,1));
  compParams = [];
  for i=1:k
    compParams = [compParams, ...
		  struct('prior',1/k,'mean',X(rp(i),:),'cov',Sigma)];
  end