function pix = mixturePiX(X, compParams)
  % pix(x,i) = P(component i is choosen AND x is generated)
  pix = zeros(size(X,1),length(compParams));
  for i=1:length(compParams)
    pix(:,i) = multigaussian(X, compParams(i).mean, compParams(i).cov)* ...
	compParams(i).prior;
  end
